.night-theme {

  /* P5 */
    /* StockDailyRecord */
  .stock-daily-record {
    background-color: rgba(28, 36, 52, 0.5);
    .chart-option-block {
      border: 1px solid #d0a868;
      background-color: #2E495E;
      box-shadow: 0 0 5px 0 rgba(221, 218, 228, 0.8);
    }
    .stock-code {
      color: #37abe5;
    }
    .record-block {
      .closing-price-box {
        border: 1px solid #c0c0c0;
      }
    }
    .btn-block {
      width: 60px;
      .setting-btn {
        background-color: #185f94;
        color: #c0c0c0;
        &:hover {
          box-shadow: 0 0 10px 0 rgba(28, 209, 206, 0.7);
        }
      }
    }
  }

    /* StockTechChart */
  .stock-tech-chart {
    .record-block {
      .option-item {
        .with-background-color {
          background-color: rgba(255, 255, 255, 0.2);
        }
      }
    }
  }

    /* P5 Lock */
  .p5-lock {
    color: #cbac84;
  }


  /* StockCompanyCard */
  .stock-company-card {
    border: 1px solid #5a6a81;
    box-shadow: 0 0 2px 0 rgba(164, 184, 207, 0.61);
    &:hover {
      border-color: rgba(51, 178, 232, 0.86);
      box-shadow: 0 0 5px 0 rgba(164, 184, 207, 0.61);
    }
    .stock-code {
      color: #98c8ff;
    }
    .company-name {
      color: #ffdeb2;
    }
  }

  /* StockForm */
  .stock-form {
    background-color: rgba(43, 52, 68, 0.8);
    box-shadow: 0 0 5px 0 rgba(210, 179, 139, 0.64);
    .form-head {
      border-bottom: 1px solid #cbac84;
      color: #cbac84;
    }
  }

  /* StockFormItem ... */
  .stock-form-item {
    .field-value {
      color: #c5cbda;
      background-color: rgba(4, 18, 42, 0.1);
      border: 1px solid rgba(61, 90, 133, 0.9);
    }

    .field-label {
      color: #b29a7b;
    }
  }
  .stock-form-item.form-edit {
    .field-input {
      color: #fff;
      border: 1px solid rgba(147, 147, 147, 0.64);
      background-color: rgba(0, 0, 0, 0);
      &::placeholder {
        color: rgba(0, 0, 0, 0);
      }
      &:focus {
        border: 1px solid #08caf4;
      }
      &:focus ~ .field-label,
      &:not(:placeholder-shown) ~ .field-label {
        color: #08caf4;
      }
    }

    .field-label {
      color: #fff;
    }
  }
  .stock-form-item.form-error {
    .field-input {
      border: 1px solid #ff6666;
      &:focus {
        border: 1px solid #ff6666;
      }
      &:focus ~ .field-label,
      &:not(:placeholder-shown) ~ .field-label {
        color: #ff6666;
      }
    }

    .field-label {
      color: #ff6666;
    }

    .error-message {
      color: #ff9075;
    }
  }

  /* StockHead */
  .stock-head {
    box-shadow: 0 0 1px 0 rgba(141, 163, 252, 0.7);
    .left-head {
      .info-hover {
        color: #e4b384;
      }
    }
    .right-head {
      .user-info-box {
        background-color: #202d3a;
        box-shadow: 0 0 5px 0 rgba(0, 196, 141, 0.7);
        .user-info-item {
          border: 1px solid rgba(0, 0, 0, 0);
          &:hover {
            border: 1px solid #00C48D;
          }
          .user-info-item-icon {
            background-color: #00C48D;
            color: #F5F5F5;
          }
        }
      }
      .user {
        border: 2px solid #e4b384;
        &:hover {
          box-shadow: 0 0 8px 0 rgba(102, 182, 248, 0.822);
        }
        &:active {
          box-shadow: 0 0 2px 2px rgba(37, 133, 212, 0.664);
        }
      }
    }
  }
}

/* StockLayout */
.night-theme.stock-layout {
  height: 100vh;
  background-image: url("/images/bull-background.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  &::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 34, 109, 0.4);
  }
  .body {
    height: calc(100% - 60px);
    overflow: auto;
    .side-menu {
      background: url("/images/background.jpg") 60% 60% no-repeat;
      box-shadow: 0 0 5px 0 rgba(210, 183, 131, 0.35);
      &:before {
        position: absolute;
        content: "";
        width: 100%;
        height: 100%;
        background-size: cover;
        z-index: -1;
        top: 0;
        left: 0;
        background-color: rgba(34, 44, 55, 0.5);
      }
      .menu-item-box {
        .menu-item {
          background: rgba(117, 173, 196, 0.3);
          border: 1px solid #cbac84;
          &:hover {
            box-shadow: 0 0 8px 0 rgba(134, 178, 215, 0.8);
          }
          .item-icon {
            color: #16487e;
            background: rgba(182, 183, 175, 0.8);
          }
          .item-title {
            color: #fff;
          }
        }
        .match-route {
          .item-icon {
            color:#fff;
            background: #e4b384;
          }
          .item-title {
            color: #e4c599;
          }
        }
      }
    }
  }
}
